import { AxisDescription } from "./AxisDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class CategoryAxisBaseDescription extends AxisDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private c4;
    get itemsCount(): number;
    set itemsCount(a: number);
    private c0;
    get gap(): number;
    set gap(a: number);
    private c1;
    get overlap(): number;
    set overlap(a: number);
    private cy;
    get useClusteringMode(): boolean;
    set useClusteringMode(a: boolean);
    private c6;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
}
